# Created by pyp2rpm-3.3.2
%global pypi_name pyvisa

Name:           python-%{pypi_name}
Version:        1.10.1
Release:        1%{?dist}
Summary:        Python VISA bindings for GPIB, RS232, TCPIP and USB instruments

License:        MIT License
URL:            https://github.com/pyvisa/pyvisa
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/PyVISA-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
A Python package for support of the "Virtual Instrument Software Architecture"
(VISA), in order to control measurement devices and test equipment via GPIB,
RS232, Ethernet or USB. Description --The programming of measurement
instruments can be real pain. There are many different protocols, sent over
many different interfaces and bus systems (GPIB, RS232, USB). For every
programming language...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
A Python package for support of the "Virtual Instrument Software Architecture"
(VISA), in order to control measurement devices and test equipment via GPIB,
RS232, Ethernet or USB. Description --The programming of measurement
instruments can be real pain. There are many different protocols, sent over
many different interfaces and bus systems (GPIB, RS232, USB). For every
programming language...

%package -n python-%{pypi_name}-doc
Summary:        pyvisa documentation
%description -n python-%{pypi_name}-doc
Documentation for pyvisa

%prep
%autosetup -n PyVISA-%{version}
# Remove bundled egg-info
#rm -rf *.egg-info

%build
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/pyvisa-info
%{_bindir}/pyvisa-shell
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/visa.py
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/PyVISA-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE

%changelog
* Sun Oct 06 2019 Christopher Beck <beckus@beckus.eu> - 1.10.1-1
- Initial package.
